> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all resources in an environment

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/resource_types/{resource_type_id}/resources

Reference: https://contentful.com/developers/docs/references/content-management-api/native-external-references/get-all-resources-in-an-environment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — The ID of the space
- `environment_id` (string, required) — The ID of the environment
- `resource_type_id` (string, required) — The ID of the resource type

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "fields": {
        "externalUrl": "https://www.themoviedb.org/person/1234",
        "image": {
          "altText": "Tom Cruise",
          "url": "https://image.tmdb.org/t/p/w200/tomcruise.jpg"
        },
        "subtitle": "Person ID: 1234",
        "title": "Tom Cruise"
      },
      "sys": {
        "appDefinition": {
          "sys": {
            "id": "99SummRPRBowauM8T5Ljb34",
            "linkType": "AppDefinition",
            "type": "Link"
          }
        },
        "resourceProvider": {
          "sys": {
            "id": "TMDB",
            "linkType": "ResourceProvider",
            "type": "Link"
          }
        },
        "resourceType": {
          "sys": {
            "id": "TMDB:Person",
            "linkType": "ResourceType",
            "type": "Link"
          }
        },
        "type": "Resource",
        "urn": "1234"
      }
    }
  ],
  "limit": 100,
  "pages": {
    "next": "<url>"
  },
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('space_id>')
  .then((space) => space.getEnvironment('<environment_id>'))
  .then((environment) =>
    environment.getResourcesForResourceType('<resource_provider_id>:<resource_type_name>'))
  .then((response) => console.log(response.items))
  .catch(console.error);
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const resourceTypes = await client.resource.getMany(
  {
    spaceId: '<space_id>',
    environmentId: '<environment_id>',
    resourceTypeId: '<resource_provider_id>:<resource_type_name>',
  }
)
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```